### Navigation

- index
- modules |
- next |
- previous |
- IPython 0.10.2 documentation »
- The IPython API »

# frontend.asyncfrontendbase

## Module: `frontend.asyncfrontendbase`

Inheritance diagram for `IPython.frontend.asyncfrontendbase`:

Base front end class for all async frontends.

## `AsyncFrontEndBase`

class `IPython.frontend.asyncfrontendbase.``AsyncFrontEndBase`(engine=None, history=None)

  Bases: `IPython.frontend.frontendbase.FrontEndBase`

  Overrides FrontEndBase to wrap execute in a deferred result. All callbacks are made as callbacks on the deferred result.

  `__init__`()
  `execute`()

    Execute the block and return the deferred result.

    Parameters:

      block : {str, AST} blockID : any

      > Caller may provide an ID to identify this block. result[‘blockID’] := blockID

    Result:
      Deferred result of self.interpreter.execute

### Navigation

- index
- modules |
- next |
- previous |
- IPython 0.10.2 documentation »
- The IPython API »